getAnywhere {utils} | R Documentation

## Retrieve an R Object, Including from a Namespace

### Description

These functions locate all objects with name matching their argument, whether visible on the search path, registered as an S3 method or in a namespace but not exported. `getAnywhere()` returns the objects and `argsAnywhere()` returns the arguments of any objects that are functions.

### Usage

    getAnywhere(x)
    argsAnywhere(x)

### Arguments

`x` | a character string or name.

### Details

These functions look at all loaded namespaces, whether or not they are associated with a package on the search list.

They do not search literally “anywhere”: for example, local evaluation frames and namespaces that are not loaded will not be searched.

Where functions are found as registered S3 methods, an attempt is made to find which namespace registered them. This may not be correct, especially if namespaces have been unloaded.

### Value

For `getAnywhere()` an object of class `"getAnywhere"`. This is a list with components

`name` | the name searched for
`objs` | a list of objects found
`where` | a character vector explaining where the object(s) were found
`visible` | logical: is the object visible
`dups` | logical: is the object identical to one earlier in the list.

In computing whether objects are identical, their environments are ignored.

Normally the structure will be hidden by the `print` method. There is a `[` method to extract one or more of the objects found.

For `argsAnywhere()` one or more argument lists as returned by `args`.

### See Also

`getS3method` to find the method which would be used: this might not be the one of those returned by `getAnywhere` since it might have come from a namespace which was unloaded or be registered under another name.

`get`, `getFromNamespace`, `args`

### Examples

    getAnywhere("format.dist")
    getAnywhere("simpleLoess") # not exported from stats
    argsAnywhere(format.dist)

[Package utils version 2.15.1 Index]